Summary: kernel debugging utility, allowing gdb like syntax
Name: crash
Version: 6.1.4
Release: r3.0
License: GPL-3.0
Group: base
Packager: Wind River <info@windriver.com>
URL: http://people.redhat.com/~anderson/
BuildRequires: virtual/powerpc-wrs-linux-binutils
Requires: libdl.so.2()(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libz.so.1(ZLIB_1.2.0)(64bit)
Requires: libtinfo5(ppce5500) >= 5.9
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libncurses.so.5()(64bit)
Requires: libc.so.6()(64bit)
Requires: libz1(ppce5500) >= 1.2.8
Requires: libtinfo.so.5()(64bit)
Requires: libm.so.6(GLIBC_2.3)(64bit)
Requires: libdl.so.2(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: rtld(GNU_HASH)
Requires: libc6 >= 2.18+4.8
Requires: libz.so.1()(64bit)
Requires: libncurses5(ppce5500) >= 5.9
Requires: libc.so.6(GLIBC_2.7)(64bit)
Requires: libm.so.6()(64bit)

%description
kernel debugging utility, allowing gdb like syntax  The core analysis suite
is a self-contained tool that can be used to  investigate either live
systems, or multiple different core dump formats  including kdump, LKCD,
netdump and diskdump.  .  o  The tool is loosely based on the SVR4 crash
command, but has been     completely integrated with gdb in order to be
able to display     formatted kernel data structures, disassemble source
code, etc.  .  o  The current set of available commands consist of common
kernel core     analysis tools such as a context-specific stack traces,
source code     disassembly, kernel variable displays, memory display,
dumps of     linked-lists, etc.  In addition, any gdb command may be
entered,     which in turn will be passed onto the gdb module for
execution.  .  o  There are several commands that delve deeper into
specific kernel     subsystems, which also serve as templates for kernel
developers     to create new commands for analysis of a specific area of
interest.     Adding a new command is a simple affair, and a quick
recompile     adds it to the command menu.  .  o  The intent is to make the
tool independent of Linux version dependencies,     building in recognition
of major kernel code changes so as to adapt to     new kernel versions,
while maintaining backwards compatibility.

%package -n crash-dbg
Summary: kernel debugging utility, allowing gdb like syntax - Debugging files
Group: devel
Suggests: ncurses-libncurses-dbg
Suggests: libc6-dbg(ppce5500)
Suggests: libz-dbg(ppce5500)
Suggests: ncurses-libtinfo-dbg
Recommends: crash = 6.1.4-r3.0

%description -n crash-dbg
kernel debugging utility, allowing gdb like syntax  The core analysis suite
is a self-contained tool that can be used to  investigate either live
systems, or multiple different core dump formats  including kdump, LKCD,
netdump and diskdump.  .  o  The tool is loosely based on the SVR4 crash
command, but has been     completely integrated with gdb in order to be
able to display     formatted kernel data structures, disassemble source
code, etc.  .  o  The current set of available commands consist of common
kernel core     analysis tools such as a context-specific stack traces,
source code     disassembly, kernel variable displays, memory display,
dumps of     linked-lists, etc.  In addition, any gdb command may be
entered,     which in turn will be passed onto the gdb module for
execution.  .  o  There are several commands that delve deeper into
specific kernel     subsystems, which also serve as templates for kernel
developers     to create new commands for analysis of a specific area of
interest.     Adding a new command is a simple affair, and a quick
recompile     adds it to the command menu.  .  o  The intent is to make the
tool independent of Linux version dependencies,     building in recognition
of major kernel code changes so as to adapt to     new kernel versions,
while maintaining backwards compatibility.          This package contains
ELF symbols and related sources for debugging purposes.

%package -n crash-staticdev
Summary: kernel debugging utility, allowing gdb like syntax - Development files (Static Libraries)
Group: devel
Requires: crash-dev = 6.1.4-r3.0

%description -n crash-staticdev
kernel debugging utility, allowing gdb like syntax  The core analysis suite
is a self-contained tool that can be used to  investigate either live
systems, or multiple different core dump formats  including kdump, LKCD,
netdump and diskdump.  .  o  The tool is loosely based on the SVR4 crash
command, but has been     completely integrated with gdb in order to be
able to display     formatted kernel data structures, disassemble source
code, etc.  .  o  The current set of available commands consist of common
kernel core     analysis tools such as a context-specific stack traces,
source code     disassembly, kernel variable displays, memory display,
dumps of     linked-lists, etc.  In addition, any gdb command may be
entered,     which in turn will be passed onto the gdb module for
execution.  .  o  There are several commands that delve deeper into
specific kernel     subsystems, which also serve as templates for kernel
developers     to create new commands for analysis of a specific area of
interest.     Adding a new command is a simple affair, and a quick
recompile     adds it to the command menu.  .  o  The intent is to make the
tool independent of Linux version dependencies,     building in recognition
of major kernel code changes so as to adapt to     new kernel versions,
while maintaining backwards compatibility.          This package contains
static libraries for software development.

%package -n crash-dev
Summary: kernel debugging utility, allowing gdb like syntax - Development files
Group: devel
Requires: crash = 6.1.4-r3.0
Suggests: libc6-dev(ppce5500)
Suggests: ncurses-libncurses-dev
Suggests: ncurses-libtinfo-dev
Suggests: libz-dev(ppce5500)

%description -n crash-dev
kernel debugging utility, allowing gdb like syntax  The core analysis suite
is a self-contained tool that can be used to  investigate either live
systems, or multiple different core dump formats  including kdump, LKCD,
netdump and diskdump.  .  o  The tool is loosely based on the SVR4 crash
command, but has been     completely integrated with gdb in order to be
able to display     formatted kernel data structures, disassemble source
code, etc.  .  o  The current set of available commands consist of common
kernel core     analysis tools such as a context-specific stack traces,
source code     disassembly, kernel variable displays, memory display,
dumps of     linked-lists, etc.  In addition, any gdb command may be
entered,     which in turn will be passed onto the gdb module for
execution.  .  o  There are several commands that delve deeper into
specific kernel     subsystems, which also serve as templates for kernel
developers     to create new commands for analysis of a specific area of
interest.     Adding a new command is a simple affair, and a quick
recompile     adds it to the command menu.  .  o  The intent is to make the
tool independent of Linux version dependencies,     building in recognition
of major kernel code changes so as to adapt to     new kernel versions,
while maintaining backwards compatibility.          This package contains
symbolic links, header files, and related items necessary for software
development.

%package -n crash-doc
Summary: kernel debugging utility, allowing gdb like syntax - Documentation files
Group: doc

%description -n crash-doc
kernel debugging utility, allowing gdb like syntax  The core analysis suite
is a self-contained tool that can be used to  investigate either live
systems, or multiple different core dump formats  including kdump, LKCD,
netdump and diskdump.  .  o  The tool is loosely based on the SVR4 crash
command, but has been     completely integrated with gdb in order to be
able to display     formatted kernel data structures, disassemble source
code, etc.  .  o  The current set of available commands consist of common
kernel core     analysis tools such as a context-specific stack traces,
source code     disassembly, kernel variable displays, memory display,
dumps of     linked-lists, etc.  In addition, any gdb command may be
entered,     which in turn will be passed onto the gdb module for
execution.  .  o  There are several commands that delve deeper into
specific kernel     subsystems, which also serve as templates for kernel
developers     to create new commands for analysis of a specific area of
interest.     Adding a new command is a simple affair, and a quick
recompile     adds it to the command menu.  .  o  The intent is to make the
tool independent of Linux version dependencies,     building in recognition
of major kernel code changes so as to adapt to     new kernel versions,
while maintaining backwards compatibility.          This package contains
documentation.

%package -n crash-locale
Summary: kernel debugging utility, allowing gdb like syntax
Group: base

%description -n crash-locale
kernel debugging utility, allowing gdb like syntax  The core analysis suite
is a self-contained tool that can be used to  investigate either live
systems, or multiple different core dump formats  including kdump, LKCD,
netdump and diskdump.  .  o  The tool is loosely based on the SVR4 crash
command, but has been     completely integrated with gdb in order to be
able to display     formatted kernel data structures, disassemble source
code, etc.  .  o  The current set of available commands consist of common
kernel core     analysis tools such as a context-specific stack traces,
source code     disassembly, kernel variable displays, memory display,
dumps of     linked-lists, etc.  In addition, any gdb command may be
entered,     which in turn will be passed onto the gdb module for
execution.  .  o  There are several commands that delve deeper into
specific kernel     subsystems, which also serve as templates for kernel
developers     to create new commands for analysis of a specific area of
interest.     Adding a new command is a simple affair, and a quick
recompile     adds it to the command menu.  .  o  The intent is to make the
tool independent of Linux version dependencies,     building in recognition
of major kernel code changes so as to adapt to     new kernel versions,
while maintaining backwards compatibility.

%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
"/usr/bin/crash"

%files -n crash-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/crash"

%files -n crash-dev
%defattr(-,-,-,-)

